Subject: [TR] TSI clutch disc

From: Mark J Bradakis <[email-masked]>
Date: Tue, 09 Jul 2013 15:00:32 -0600

On another list folks have been discussing various clutch options for 
racing.
Ted Schumacher provides heavy duty clutch discs.  Wish I would have had
one in Killer at the, I think Hudson, WI, VTR meet where our OEM disk 
was in the
process of tearing itself apart.  If I had a dollar for every time folks 
said I
should bleed the system or check the thrust washers every time the gears 
ground
I could buy a dozen of these!

http://www.team.net/forums/viewtopic.php?f=7&t=159

mjb.

** [email-masked] **

Archive: http://www.team.net/archive